#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - cracklib-dict-small preinstallation
#
# Creation   :  2018-01-09 holbru
# Last update:  $Id: preinstall.sh 66094 2019-06-15 17:03:11Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=cracklib-dict-small

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
# conflict with dict full
installed=$(eisman check crack-dict-full)

if [ "${installed}" = "installed" ]
then
    rm -f /var/install/deinstall/crack-dict-full
    eisman uninstall --auto --force crack-dict-full
fi
installed=$(eisman check cracklib-dict-full)

if [ "${installed}" = "installed" ]
then
    rm -f /var/install/deinstall/crack-dict-full
    eisman uninstall --auto --force cracklib-dict-full
fi

installed=$(eisman check crack-dict-small)

if [ "${installed}" = "installed" ]
then
    sed -i '/usr\/lib/d' /etc/filelist.d/crack-dict-small-files.txt
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
